Index: /LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.fcm
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.fcm	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.fcm	(revision 3605)
@@ -11,7 +11,7 @@
 %DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug -ftz
 %MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -shared-intel  -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib:/smplocal/pub/FFTW/3.3.3_dyn/lib
-%MPI_LD              
-%OMP_LD              -openmp
+%OMP_FFLAGS          -qopenmp
+%BASE_LD             -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -shared-intel  -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -Wl,-rpath=/smplocal/pub/FFTW/3.3.3_dyn/lib
+%MPI_LD              -L/smplocal/pub/IdrMemMPI/1.4/lib -lidrmem
+%OMP_LD              -qopenmp
 
Index: /LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.path
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.path	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.path	(revision 3605)
@@ -1,6 +1,6 @@
 NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz}"
 NETCDF_INCDIR="${NETCDF_FFLAGS:--I/smplocal/pub/HDF5/1.8.9/par/include -I/smplocal/pub/NetCDF/4.1.3/mpi/include}"
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
+IOIPSL_INCDIR=${workdir}/build/IOIPSL_trunk_ifort_fast
+IOIPSL_LIBDIR=${workdir}/build/IOIPSL_trunk_ifort_fast
 XIOS_INCDIR=$LMDGCM/../XIOS/inc
 XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: /LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.fcm
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.fcm	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.fcm	(revision 3605)
@@ -11,4 +11,5 @@
 %DEV_FFLAGS          -fp-model strict -p -g -O2 -traceback -fp-stack-check
 %DEBUG_FFLAGS        -fp-model strict -p -g -traceback -fp-stack-check -ftrapuv
+#%DEBUG_FFLAGS        -fp-model strict -p -g -traceback -fp-stack-check -ftrapuv -check bounds,noarg_temp_created,pointers,stack,uninit -debug full -init=arrays -init=snan
 %MPI_FFLAGS
 %OMP_FFLAGS          -qopenmp
Index: /LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.path
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.path	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.path	(revision 3605)
@@ -1,12 +1,12 @@
 NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
+IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
 ORCH_INCDIR=$LMDGCM/../../lib
 ORCH_LIBDIR=$LMDGCM/../../lib
 OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
 OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/inc
+INCA_LIBDIR=$LMDGCM/../INCA/build/lib
+INCA_INCDIR=$LMDGCM/../INCA/build/inc
 XIOS_INCDIR=$LMDGCM/../XIOS/inc
 XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3605)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3605)
@@ -0,0 +1,8 @@
+module purge
+module load intel-compilers/19.0.4
+module load intel-mpi/19.0.4
+module load intel-mkl/19.0.4
+module load hdf5/1.10.5/intel-19.0.4-mpi
+module load netcdf/4.7.0/intel-19.0.4-mpi
+module load netcdf-fortran/4.4.5/intel-19.0.4-mpi
+
Index: /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3605)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3605)
@@ -0,0 +1,17 @@
+# $Id$
+%COMPILER            mpiifort
+%LINK                mpiifort
+%AR                  ar
+%ARFLAGS             rs
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE FFT_MKL
+%BASE_FFLAGS         -i4 -r8 -auto -align all -fp-model strict
+%PROD_FFLAGS         -O3 -xHost -qopt-zmm-usage=high
+%DEV_FFLAGS          -p -g -O2 -traceback -fp-stack-check
+%DEBUG_FFLAGS        -p -g -O0 -traceback -fp-stack-check -ftrapuv -check bounds,noarg_temp_created,pointers,stack,uninit -debug full -init=arrays -init=snan
+%MPI_FFLAGS
+%OMP_FFLAGS          -qopenmp
+%BASE_LD             -i4 -r8 -auto -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread
+%MPI_LD
+%OMP_LD              -qopenmp
Index: /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.path
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.path	(revision 3605)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.path	(revision 3605)
@@ -0,0 +1,15 @@
+# $Id$
+#NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
+#NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
+NETCDF_LIBDIR="-lnetcdf -lnetcdff"
+NETCDF_INCDIR=
+IOIPSL_INCDIR=$WORK/build/IOIPSL_trunk
+IOIPSL_LIBDIR=$WORK/build/IOIPSL_trunk
+ORCH_INCDIR=$LMDGCM/../../lib
+ORCH_LIBDIR=$LMDGCM/../../lib
+OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
+OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
+INCA_LIBDIR=$LMDGCM/../INCA/build/lib
+INCA_INCDIR=$LMDGCM/../INCA/build/inc
+XIOS_INCDIR=$LMDGCM/../XIOS/inc
+XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: /LMDZ6/branches/Ocean_skin/arch/arch-gfortran.path
===================================================================
--- /LMDZ6/branches/Ocean_skin/arch/arch-gfortran.path	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/arch/arch-gfortran.path	(revision 3605)
@@ -1,6 +1,6 @@
-NETCDF_LIBDIR="-L/usr/local/lib -lnetcdf"
-NETCDF_INCDIR=-I/usr/local/include
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
+NETCDF_LIBDIR="-lnetcdff -lnetcdf"
+NETCDF_INCDIR=-I/usr/include
+IOIPSL_INCDIR=/home/guez/Downloads/Compil_prod/IOIPSL
+IOIPSL_LIBDIR=/home/guez/Downloads/Compil_prod/IOIPSL
 ORCH_INCDIR=$LMDGCM/../../lib
 ORCH_LIBDIR=$LMDGCM/../../lib
Index: /LMDZ6/branches/Ocean_skin/bld.cfg
===================================================================
--- /LMDZ6/branches/Ocean_skin/bld.cfg	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/bld.cfg	(revision 3605)
@@ -47,5 +47,5 @@
 dir::root            %CONFIG_PATH
 #dir::lib             %BASE_CONFIG_PATH
-dir::bin             %ROOT_PATH/bin
+dir::bin             %LIBO
 
 #search_src           1
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3d/conf_gcm.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3d/conf_gcm.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3d/conf_gcm.F90	(revision 3605)
@@ -21,5 +21,5 @@
   USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
                        alphax,alphay,taux,tauy
-  USE temps_mod, ONLY: calend
+  USE temps_mod, ONLY: calend, year_len
 
   IMPLICIT NONE
@@ -115,4 +115,14 @@
   calend = 'earth_360d'
   CALL getin('calend', calend)
+! initialize year_len for aquaplanets and 1D
+      if (calend == 'earth_360d') then
+        year_len=360
+      else if (calend == 'earth_365d') then
+        year_len=365
+      else if (calend == 'earth_366d') then
+        year_len=366
+      else 
+        year_len=1
+      endif
 
   !Config  Key  = dayref
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3d/gcm.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3d/gcm.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3d/gcm.F90	(revision 3605)
@@ -241,4 +241,6 @@
        'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
   if (.not.read_start) then
+     start_time=0.
+     annee_ref=anneeref
      CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
   endif
@@ -377,4 +379,28 @@
        tetagdiv, tetagrot , tetatemp, vert_prof_dissip)
 
+  !  numero de stockage pour les fichiers de redemarrage:
+
+  !-----------------------------------------------------------------------
+  !   Initialisation des I/O :
+  !   ------------------------
+
+
+  if (nday>=0) then
+     day_end = day_ini + nday
+  else
+     day_end = day_ini - nday/day_step
+  endif
+  WRITE(lunout,300)day_ini,day_end
+300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+
+#ifdef CPP_IOIPSL
+  call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
+  write (lunout,301)jour, mois, an
+  call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
+  write (lunout,302)jour, mois, an
+301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
+302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
+#endif
+
   !-----------------------------------------------------------------------
   !   Initialisation de la physique :
@@ -391,28 +417,4 @@
 #endif
   ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
-
-  !  numero de stockage pour les fichiers de redemarrage:
-
-  !-----------------------------------------------------------------------
-  !   Initialisation des I/O :
-  !   ------------------------
-
-
-  if (nday>=0) then
-     day_end = day_ini + nday
-  else
-     day_end = day_ini - nday/day_step
-  endif
-  WRITE(lunout,300)day_ini,day_end
-300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
-
-#ifdef CPP_IOIPSL
-  call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
-  write (lunout,301)jour, mois, an
-  call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
-  write (lunout,302)jour, mois, an
-301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
-302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
-#endif
 
   !      if (planet_type.eq."earth") then
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3d/temps_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3d/temps_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3d/temps_mod.F90	(revision 3605)
@@ -13,4 +13,5 @@
   INTEGER   annee_ref
   INTEGER   day_ref
+  INTEGER   year_len
   REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
   REAL      jD_ref ! reference julian day date (beginning of experiment)
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/caladvtrac_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/caladvtrac_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/caladvtrac_mod.F90	(revision 3605)
@@ -44,5 +44,7 @@
     CALL allocate_u(massem,llm,d)
     CALL allocate_u(pbaruc,llm,d)
+    pbaruc(:,:)=0
     CALL allocate_v(pbarvc,llm,d)
+    pbarvc(:,:)=0
     CALL allocate_u(pbarug,llm,d)
     CALL allocate_v(pbarvg,llm,d)
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_calfis_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_calfis_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_calfis_mod.F90	(revision 3605)
@@ -52,5 +52,7 @@
     CALL allocate_u(p,llmp1,d)
     CALL allocate_u(pks,d)
+    pks(:)=0
     CALL allocate_u(pk,llm,d)
+    pk(:,:)=0
     CALL allocate_u(pkf,llm,d)
     CALL allocate_u(phi,llm,d)
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_dissip_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_dissip_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_dissip_mod.F90	(revision 3605)
@@ -31,5 +31,7 @@
 
     CALL allocate_u(ucov,llm,d)
+    ucov(:,:)=0
     CALL allocate_v(vcov,llm,d)
+    vcov(:,:)=0
     CALL allocate_u(teta,llm,d)
     CALL allocate_u(p,llmp1,d)
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/conf_gcm.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/conf_gcm.F90	(revision 3605)
@@ -25,5 +25,5 @@
   USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
                        alphax,alphay,taux,tauy
-  USE temps_mod, ONLY: calend
+  USE temps_mod, ONLY: calend, year_len
 
   IMPLICIT NONE
@@ -144,5 +144,16 @@
   !Config         
   calend = 'earth_360d'
+! initialize year_len for aquaplanets and 1D
   CALL getin('calend', calend)
+     if (calend == 'earth_360d') then
+        year_len=360
+      else if (calend == 'earth_365d') then
+        year_len=365
+      else if (calend == 'earth_366d') then
+        year_len=366
+      else 
+        year_len=1
+      endif
+  
 
   !Config  Key  = dayref
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/gcm.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/gcm.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/gcm.F90	(revision 3605)
@@ -233,4 +233,6 @@
        'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
   if (.not.read_start) then
+     start_time=0.
+     annee_ref=anneeref
      CALL iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
   endif
@@ -368,4 +370,27 @@
 
   !-----------------------------------------------------------------------
+  !   Initialisation des I/O :
+  !   ------------------------
+
+
+  if (nday>=0) then
+     day_end = day_ini + nday
+  else
+     day_end = day_ini - nday/day_step
+  endif
+
+  WRITE(lunout,300)day_ini,day_end
+300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+
+#ifdef CPP_IOIPSL
+  call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
+  write (lunout,301)jour, mois, an
+  call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
+  write (lunout,302)jour, mois, an
+301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
+302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
+#endif
+
+  !-----------------------------------------------------------------------
   !   Initialisation de la physique :
   !   -------------------------------
@@ -381,27 +406,4 @@
   ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
 
-
-  !-----------------------------------------------------------------------
-  !   Initialisation des I/O :
-  !   ------------------------
-
-
-  if (nday>=0) then
-     day_end = day_ini + nday
-  else
-     day_end = day_ini - nday/day_step
-  endif
-
-  WRITE(lunout,300)day_ini,day_end
-300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
-
-#ifdef CPP_IOIPSL
-  call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
-  write (lunout,301)jour, mois, an
-  call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
-  write (lunout,302)jour, mois, an
-301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
-302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
-#endif
 
   !      if (planet_type.eq."earth") then
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/guide_loc_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/guide_loc_mod.F90	(revision 3605)
@@ -1212,5 +1212,5 @@
               enddo
             endif
-            if (pole_nord) then
+            if (pole_sud) then
               do i=1,iip1
                 qgui1(ip1jm+i,l)=qgui1(ip1jm+1,l) 
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/iniacademic_loc.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/iniacademic_loc.F90	(revision 3605)
@@ -101,5 +101,5 @@
   time_0=0.
   day_ref=1
-  annee_ref=0
+  ! annee_ref=0
 
   im         = iim
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/integrd_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/integrd_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/integrd_mod.F90	(revision 3605)
@@ -23,4 +23,5 @@
     CALL allocate_u(deltap,llm,d)
     CALL allocate_u(ps,d)
+    ps(:)=0
 
     
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/leapfrog_loc.F	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/leapfrog_loc.F	(revision 3605)
@@ -29,5 +29,9 @@
        USE call_dissip_mod, ONLY : call_dissip
        USE call_calfis_mod, ONLY : call_calfis
-       USE leapfrog_mod
+       USE leapfrog_mod, ONLY : ucov,vcov,teta,ps,masse,phis,q,dq
+     & ,ucovm1,vcovm1,tetam1,massem1,psm1,p,pks,pk,pkf,flxw
+     & ,pbaru,pbarv,du,dv,dteta,phi,dp,w
+     & ,leapfrog_allocate,leapfrog_switch_caldyn,leapfrog_switch_dissip
+
        use exner_hyb_loc_m, only: exner_hyb_loc
        use exner_milieu_loc_m, only: exner_milieu_loc
@@ -1535,5 +1539,7 @@
 
 #ifdef INCA
-         call finalize_inca
+         if (type_trac == 'inca') then 
+            call finalize_inca
+         endif
 #endif
 
@@ -1583,5 +1589,7 @@
 
 #ifdef INCA
-              call finalize_inca
+              if (type_trac == 'inca') then 
+                 call finalize_inca
+              endif
 #endif
 
@@ -1732,5 +1740,7 @@
 
 #ifdef INCA
-                 call finalize_inca
+                 if (type_trac == 'inca') then 
+                    call finalize_inca
+                 endif
 #endif
 
@@ -1820,5 +1830,7 @@
 
 #ifdef INCA
-      call finalize_inca
+      if (type_trac == 'inca') then 
+         call finalize_inca
+      endif
 #endif
 
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/temps_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/temps_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/temps_mod.F90	(revision 3605)
@@ -13,4 +13,5 @@
   INTEGER   annee_ref
   INTEGER   day_ref
+  INTEGER   year_len
   REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
   REAL      jD_ref ! reference julian day date (beginning of experiment)
Index: /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/vlsplt_loc.F	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dyn3dmem/vlsplt_loc.F	(revision 3605)
@@ -19,4 +19,5 @@
       include "dimensions.h"
       include "paramet.h"
+      include "iniprint.h"
 c
 c
@@ -872,4 +873,5 @@
       include "dimensions.h"
       include "paramet.h"
+      include "iniprint.h"
 c
 c
@@ -1027,5 +1029,7 @@
       ELSE ! countcfl>=1
 
-      PRINT*,'vlz passage dans le non local'
+      IF (prt_level>9) THEN
+        WRITE(lunout,*)'vlz passage dans le non local'
+      ENDIF
 c ---------------------------------------------------------------
 c  Debut du traitement du cas ou on viole le CFL : w > masse
@@ -1059,5 +1063,7 @@
 c  le critère
       DO WHILE (countcfl>=1) 
-      print*,'On viole le CFL Vertical sur ',countcfl,' pts'
+        IF (prt_level>9) THEN
+          WRITE(lunout,*)'On viole le CFL Vertical sur ',countcfl,' pts'
+        ENDIF
       countcfl=0
 
Index: /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/inigeomphy_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 3605)
@@ -76,5 +76,6 @@
   REAL,ALLOCATABLE,SAVE :: boundslonfi(:,:)
   REAL,ALLOCATABLE,SAVE :: boundslatfi(:,:)
-!$OMP THREADPRIVATE (latfi,lonfi,cufi,cvfi,airefi,boundslonfi,boundslatfi)
+  INTEGER,ALLOCATABLE,SAVE :: ind_cell_glo_fi(:)
+!$OMP THREADPRIVATE (latfi,lonfi,cufi,cvfi,airefi,boundslonfi,boundslatfi,ind_cell_glo_fi)
 
   ! Initialize Physics distibution and parameters and interface with dynamics
@@ -93,6 +94,6 @@
   
   DO i=1,iim
+   boundslon_reg(i,east)=rlonu(i+1) 
    boundslon_reg(i,west)=rlonu(i) 
-   boundslon_reg(i,east)=rlonu(i+1) 
   ENDDO
 
@@ -204,4 +205,5 @@
   ALLOCATE(boundslonfi(klon_omp,4))
   ALLOCATE(boundslatfi(klon_omp,4))
+  ALLOCATE(ind_cell_glo_fi(klon_omp))
 
 
@@ -214,8 +216,9 @@
   boundslonfi(1:klon_omp,:) = boundslonfi_glo(offset+klon_omp_begin:offset+klon_omp_end,:)
   boundslatfi(1:klon_omp,:) = boundslatfi_glo(offset+klon_omp_begin:offset+klon_omp_end,:)
+  ind_cell_glo_fi(1:klon_omp)=(/ (i,i=offset+klon_omp_begin,offset+klon_omp_end) /)
 
   ! copy over local grid longitudes and latitudes
   CALL init_geometry(klon_omp,lonfi,latfi,boundslonfi,boundslatfi, &
-                     airefi,cufi,cvfi)
+                     airefi,ind_cell_glo_fi,cufi,cvfi)
 
   ! copy over preff , ap(), bp(), etc 
Index: /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 3605)
@@ -71,7 +71,4 @@
   CALL inifis(prad,pg,pr,pcpp)
   
-  ! Initialize dimphy module
-  CALL Init_dimphy(klon_omp,nlayer)
-
   ! Initialize tracer names, numbers, etc. for physics
   CALL init_infotrac_phy(nqtot,type_trac)
Index: /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 3605)
@@ -100,5 +100,6 @@
 
   deg2rad = pi/180.0
-
+  y(:,:,:)=0  !ym warning unitialized variable
+  
 ! Compute psol AND tsol, knowing phis.
 !*******************************************************************************
Index: /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3605)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 MODULE etat0phys
 !
@@ -40,9 +43,12 @@
   USE phys_state_var_mod, ONLY: zmea, zstd, zsig, zgam, zthe, zpic, zval, z0m, &
           solsw, radsol, t_ancien, wake_deltat, wake_s,  rain_fall, qsol, z0h, &
-          sollw, rugoro, q_ancien, wake_deltaq, wake_pe, snow_fall, ratqs,w01, &
+          sollw,sollwdown, rugoro, q_ancien, wake_deltaq, wake_pe, snow_fall, ratqs,w01, &
     sig1, ftsol, clwcon, fm_therm, wake_Cstar,  pctsrf,  entr_therm,radpas, f0,&
-    zmax0,fevap, rnebcon,falb_dir, wake_fip,    agesno,  detr_therm, pbl_tke,  &
+    zmax0,fevap, rnebcon,falb_dir, falb_dif, wake_fip,    agesno,  detr_therm, pbl_tke,  &
     phys_state_var_init, ql_ancien, qs_ancien, prlw_ancien, prsw_ancien, &
-    prw_ancien
+    prw_ancien, u10m,v10m, treedrg, u_ancien, v_ancien, wake_delta_pbl_TKE, wake_dens, &
+    ale_bl, ale_bl_trig, alp_bl, &
+    ale_wake, ale_bl_stat
+
   USE comconst_mod, ONLY: pi, dtvr
 
@@ -110,5 +116,5 @@
   INTEGER :: iflag_radia, iflag_cldcon, iflag_ratqs
   REAL    :: ratqsbas, ratqshaut, tau_ratqs
-  LOGICAL :: ok_ade, ok_aie, ok_alw, ok_cdnc, aerosol_couple, chemistry_couple
+  LOGICAL :: ok_ade, ok_aie, ok_volcan, ok_alw, ok_cdnc, aerosol_couple, chemistry_couple
   INTEGER :: flag_aerosol
   INTEGER :: flag_aerosol_strat
@@ -133,5 +139,6 @@
                    iflag_cldcon,                                        &
                    iflag_ratqs,ratqsbas,ratqshaut,tau_ratqs,            &
-                   ok_ade, ok_aie, ok_alw, ok_cdnc, aerosol_couple,     &
+                   ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan,          &
+                   aerosol_couple,                                      &
                    chemistry_couple, flag_aerosol, flag_aerosol_strat,  & 
                    flag_aer_feedback,                                   &
@@ -194,4 +201,12 @@
   falb_dir(:, :, is_oce) = 0.5
   falb_dir(:, :, is_sic) = 0.6
+
+!ym warning missing init for falb_dif => set to 0
+  falb_dif(:,:,:)=0
+
+  u10m(:,:)=0  
+  v10m(:,:)=0  
+  treedrg(:,:,:)=0
+
   fevap(:,:) = 0.
   DO i=1,nbsrf; qsolsrf(:,i)=150.; END DO
@@ -201,4 +216,6 @@
   solsw      = 165.
   sollw      = -53.
+!ym warning missing init for sollwdown => set to 0
+  sollwdown  = 0.
   t_ancien   = 273.15
   q_ancien   = 0.
@@ -209,5 +226,17 @@
   prw_ancien = 0.
   agesno     = 0.
-
+  
+  u_ancien = 0.
+  v_ancien = 0.
+  wake_delta_pbl_TKE(:,:,:)=0
+  wake_dens(:)=0
+  ale_bl = 0.
+  ale_bl_trig =0.
+  alp_bl=0.
+  ale_wake=0.
+  ale_bl_stat=0.
+  
+  z0m(:,:)=0 ! ym missing 5th subsurface initialization
+ 
   z0m(:,is_oce) = rugmer(:)
   z0m(:,is_ter) = MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
@@ -315,5 +344,8 @@
   ALLOCATE(zmea0(iml,jml),zstd0(iml,jml)) !--- Mean orography and std deviation
   ALLOCATE(zsig0(iml,jml),zgam0(iml,jml)) !--- Slope and nisotropy
+  zsig0(:,:)=0   !ym uninitialized variable
+  zgam0(:,:)=0   !ym uninitialized variable
   ALLOCATE(zthe0(iml,jml))                !--- Highest slope orientation
+  zthe0(:,:)=0   !ym uninitialized variable
   ALLOCATE(zpic0(iml,jml),zval0(iml,jml)) !--- Peaks and valley heights
 
Index: /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 3605)
@@ -31,8 +31,9 @@
   USE inifis_mod, ONLY: inifis
   USE time_phylmdz_mod, ONLY: init_time
-  USE temps_mod, ONLY: annee_ref, day_ini, day_ref, start_time, calend
+  USE temps_mod, ONLY: annee_ref, day_ini, day_ref, start_time, calend, year_len
   USE infotrac_phy, ONLY: init_infotrac_phy
   USE phystokenc_mod, ONLY: init_phystokenc
   USE phyaqua_mod, ONLY: iniaqua
+  USE comconst_mod, ONLY: omeg, rad
 #ifdef INCA
   USE indice_sol_mod, ONLY: nbsrf, is_oce, is_sic, is_ter, is_lic
@@ -118,5 +119,5 @@
 
   ! Initialize dimphy module (unless in 1D where it has already been done)
-  IF (klon_glo>1) CALL Init_dimphy(klon_omp,nlayer)
+!  IF (klon_glo>1) CALL Init_dimphy(klon_omp,nlayer)
 
   ! Copy over "offline" settings
@@ -134,5 +135,5 @@
                                   cu,cuvsurcv,cv,cvusurcu, &
                                   aire,apoln,apols, &
-                                  aireu,airev,rlatvdyn) 
+                                  aireu,airev,rlatvdyn,rad,omeg) 
   END IF
 
@@ -172,5 +173,5 @@
   ! Additional initializations for aquaplanets 
   IF (iflag_phys>=100) THEN
-    CALL iniaqua(klon_omp,iflag_phys)
+    CALL iniaqua(klon_omp,year_len,iflag_phys)
   END IF
 
Index: /LMDZ6/branches/Ocean_skin/libf/misc/handle_err_m.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/misc/handle_err_m.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/misc/handle_err_m.F90	(revision 3605)
@@ -39,5 +39,5 @@
           end if
        end if
-       call abort_gcm("NetCDF95 handle_err", "", 1)
+       call abort_physic("NetCDF95 handle_err", "", 1)
     end if
 
